<template>
  <div class="home-banner">
    <div class="content">
      <img class="icon-blur" src="../assets/play-blur.svg" alt="play-icon" />
      <img class="icon-play" src="../assets/play-shine.svg" alt="play-icon" />

      <p>Top Class Digital Event Agency</p>
      <h2>
        We are always looking for ways to extend the value of
        <strong>Digital Events.</strong>
      </h2>
      <span>Based in Hong Kong, with clients all over the world</span>
      <router-link to="/"
        >Get Started<img src="../assets/arrow-right-white.png" alt="arrow"
      /></router-link>
    </div>
    <div class="banner-image">
      <img class="banner-img" src="../assets/home-banner.png" alt="banner" />
      <img class="play-img" src="../assets/play.svg" alt="play" />
    </div>
  </div>
</template>

<script>
export default {
  name: "HomeBanner",
};
</script>

<style scoped>
.home-banner {
	 display: flex;
	 justify-content: space-between;
	 align-items: center;
}
 .home-banner .content {
	 height: calc(100vh - 103px);
	 display: flex;
	 justify-content: center;
	 align-items: flex-start;
	 flex-direction: column;
	 padding-left: 15%;
	 width: 60%;
	 position: relative;
}
 .home-banner .content .icon-blur {
	 position: absolute;
	 left: 30px;
	 top: 80px;
}
 .home-banner .content .icon-play {
	 position: absolute;
	 bottom: -20px;
	 left: 75px;
	 height: 118px;
	 width: 118px;
}
 .home-banner .content p {
	 font-style: normal;
	 font-weight: 900;
	 font-size: 20px;
	 line-height: 29px;
	 letter-spacing: 0.1em;
	 text-transform: uppercase;
	 color: #000;
	 opacity: 0.5;
	 margin: 0;
}
 .home-banner .content h2 {
	 margin: 40px 0 60px 0;
	 font-weight: 900;
	 font-size: 65px;
	 line-height: 75px;
	 letter-spacing: -0.03em;
	 color: #000;
	 max-width: 82%;
}
 .home-banner .content h2 strong {
	 background: linear-gradient(95.72deg, #5fc653 0%, #a2d631 100%);
	 -webkit-background-clip: text;
	 -webkit-text-fill-color: transparent;
	 position: relative;
}
 .home-banner .content h2 strong::after {
	 content: url("../assets/border-btm.svg");
	 position: absolute;
	 bottom: -35px;
	 left: 0;
}
 .home-banner .content span {
	 font-weight: 600;
	 font-size: 25px;
	 line-height: 35px;
	 letter-spacing: -0.03em;
	 color: #1c1c1c;
}
 .home-banner .content a {
	 display: inline-block;
	 font-weight: 600;
	 font-size: 20px;
	 line-height: 28px;
	 text-align: center;
	 letter-spacing: -0.03em;
	 color: #fff;
	 padding: 10px 25px;
	 background: linear-gradient(95.72deg, #5fc653 0%, #a2d631 100%);
	 box-shadow: 0px 20px 30px rgba(162, 214, 49, 0.2);
	 border-radius: 27.5px;
	 text-decoration: none;
	 margin-top: 40px;
}
 .home-banner .content a img {
	 margin-left: 8px;
}
 .home-banner .banner-image {
	 width: 40%;
	 position: relative;
}
 .home-banner .banner-image .banner-img {
	 height: calc(100vh - 103px);
	 width: 100%;
	 object-fit: cover;
}
 .home-banner .banner-image .play-img {
	 position: absolute;
	 bottom: -51px;
	 right: 33%;
	 height: 122px;
	 width: 122px;
	 object-fit: cover;
}
 
</style>
